splint (1:3.1.2+dfsg-1build1) bionic; urgency=medium

  * No-change rebuild to pick up the shared flex library.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 Feb 2018 07:10:37 +0000

splint (1:3.1.2+dfsg-1) unstable; urgency=medium

  * QA upload.
  * Fix VCS URLs in debian/control file.
  * Increment Debhelper compatibility level to 10.
  * Suppress Lintian warning: debian-watch-may-check-gpg-signature.
  * Remove obsolete file: debian/README.source.
  * Build with all hardening flags set.
  * debian/control: Fix splint-data's relationship to previous versions.
  * Convert patch headers to DEP-3 format compatible with gbp.
  * Update autoconf patches to work only on files not automatically generated.
  * Do not automatically un-apply patches so that clean is done properly.
  * Fix clean up rule in test/db3/Makefile.
  * Perform wrap and sort on all Debian control files.
  * Fix spelling mistakes in source and documentation.
  * Fix possible privacy breach issues in documentation.
  * Fix autoconf and automake warnings.
  * Force non-parallel builds, since parallel builds don't complete
    reliably.
  * Do not capture build path, host name or user name to make
    builds fully reproducible.
  * Convert debian/copyright file to DEP-5 format and update.
  * Update rules for creating DFSG upstream tarballs.
    This is so that we can correct the package's versioning, by
    replacing the appended .dfsg* with +dfsg* instead. The image file,
    doc/html/glowingwall-narrows.jpg, has also been included for the
    documentation package, and XZ compression is now used.
  * Remove superfluous duplication of tests.
  * Try to separate arch-specific and -independent rules.
  * Add doc-base registration for HTML documentation.
    In addition, standardise file extensions of all HTML files, and
    provide convenience links to them from the main package. (Closes: #548122)
  * Fix segmentation fault. (Closes: #775917)
  * Cherry-pick unreleased fix for parsing unary plus. (Closes: #462375)
  * Cherry-pick unreleased fix for "hh" printf modifier support.
    (Closes: #510821)
  * Cherry-pick unreleased upstream fix in order to handle C99-style
    mixing of statements and declarations. (Closes: #369264)
  * Update 03_359894_VA_ARGS.patch to the one applied upstream.
    The patch applied upstream also adds a check for +gnuextensions.
  * Cherry-pick other relevant unreleased upstream changes,
    so that we're fully up-to-date with "CVS" upstream.
  * Backup and restore mutable files for idempotent builds.
  * Add multiarch include path to standard include search paths.
    (Closes: #675025)
  * Fix names of timespec members. (Closes: #680121)
  * Fix Internal Bug at cscannerHelp.c:2428.
    (Closes: #473595, #476228, #498345, #548768, #569928, #601424)
  * debian/control: Fix splint-doc-html's relationship to prior versions
    of splint.
  * For build reproducibility, move *.lcd files to the main package
    as they contain architecture-specific information.
  * Move man page to main package to avoid Lintian warnings when
    building architecture-specific package alone.
  * Add LFS support to 32-bit architectures.
  * Indicate compliance with Debian Policy 4.1.0.

 -- Carlos Maddela <e7appew@gmail.com>  Tue, 05 Sep 2017 16:29:16 +1000

splint (3.1.2.dfsg1-4) unstable; urgency=medium

  * QA upload.
  * Add libfl-dev to Build-Depends. (Closes: #846448)
  * Mark split-{data,doc-html} Multi-Arch: foreign.

 -- Helmut Grohne <helmut@subdivi.de>  Thu, 01 Dec 2016 14:19:06 +0100

splint (3.1.2.dfsg1-3) unstable; urgency=medium

  * Orphan the package since the maintainer is MIA.
  * Switch to a git packaging repository (instead of SVN).
  * Simplify debian/rules by using "dh". Thus indirectly
    implement the build-arch/build-indep target. Closes: #822024
  * Clean up dependencies.
  * Switch to 3.0 (quilt) source format and update patches accordingly.
  * Add Chris Lamb's patch to make the build reproducible. Closes: #797254
  * Update some patches to work on configure.ac and not only configure.
  * Update 05_html_docs_css.patch to drop sourceforge logo link too.
  * Update Standards-Version to 3.9.8.

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 30 Aug 2016 15:09:09 +0200

splint (3.1.2.dfsg1-2) unstable; urgency=low

  * Add README.source to be compliant with policy 3.8.0
  * Update Maintainer to official Debian ID
  * Remove DM-Upload-Allowed: yes
  * Update to debian/compat 6 and use dh_lintian instead of dh_installing
    override files.

 -- Y Giridhar Appaji Nag <appaji@debian.org>  Tue, 17 Feb 2009 20:56:18 +0530

splint (3.1.2.dfsg1-1) unstable; urgency=low

  * Add missing-image-files in the manual to orig tarball via get-orig-source
  * Update Standards-Version to 3.8.0, no changes required.
  * Patch 05_html_docs_css to remove google trackers in docs and to adjust CSS
    to make the manual look like they are on splint.org (Closes: #466907)

 -- Y Giridhar Appaji Nag <giridhar@appaji.net>  Fri, 15 Aug 2008 17:31:13 +0530

splint (3.1.2.dfsg-9) unstable; urgency=low

  * Add lintian overrides for typo in debian/copyright.  The license emails
    have a typo that I would like to retain as is.

 -- Y Giridhar Appaji Nag <giridhar@appaji.net>  Thu, 01 May 2008 11:37:12 +0530

splint (3.1.2.dfsg-8) unstable; urgency=low

  * Use '<<' versioning rather than '<=' for Conflicts/Replaces.
  * Update 02_manpage to indicate that 'usestderr' is obsolete.  Thanks Chris
    Adams <chris@improbable.org> for the bug report (Closes: #476567)
  * List example .splintrc Copyright holders in debian/copyright
  * linux-2.4.23.txt and rtai.splintrc are licensed under CC-BY-SA 3.0

 -- Y Giridhar Appaji Nag <giridhar@appaji.net>  Thu, 01 May 2008 10:12:53 +0530

splint (3.1.2.dfsg-7) unstable; urgency=low

  * Add DM-Upload-Allowed: yes
  * Remove linda overrides file
  * Update 02_manpage to fix new lintian I: hyphen-used-as-minus-sign that
    appeared magically
  * Much improved packages descriptions
  * Add linux-2.4.23.txt from Brian Quinlan <brian.quinlan@iolfree.ie>
    explaining how to run splint on Linux drivers.

 -- Y Giridhar Appaji Nag <giridhar@appaji.net>  Thu, 10 Apr 2008 15:02:45 +0530

splint (3.1.2.dfsg-6) unstable; urgency=low

  * Add a few working .splintrc example files to the splint binary package
  * Patch 04_bug_report to set the bug reporting location and maintainer email
    to Debian rather than upstream.
  * Save and restore files deleted in clean target, to keep the tree identical
    before and after clean.
  * Use dh_install for installing lintian and linda overrides.  This looks
    cleaner than doing it in debian/rules via the 'install' program.

 -- Y Giridhar Appaji Nag <giridhar@appaji.net>  Sun, 03 Feb 2008 21:22:19 +0530

splint (3.1.2.dfsg-5) unstable; urgency=low

  * debian/copyright
    + The documentation is licensed under CC-BY-SA 3.0
    + The software and packaging are licensed under GPLv2 or later.
  * Patch 03_359894_VA_ARGS.dpatch to support __VA_ARGS__.  Thanks "Bernhard
    R. Link" <brlink@debian.org> (Closes: #359894)

 -- Y Giridhar Appaji Nag <giridhar@appaji.net>  Tue, 15 Jan 2008 13:11:57 +0530

splint (3.1.2.dfsg-4) unstable; urgency=low

  * splint-doc-html Suggests splint irrespective of the version
  * Add support for noopt in DEB_BUILD_OPTIONS, add -Wall -g to CFLAGS
  * Update patch 01_build to echo the actual compilation command
  * Build-Conflicts: bison, bison++, splint <= v3.1.1-6.  Configure checks for
    the 'bison' program that is used later and leaves useless files around.
    Tests fail while building if earlier version of splint is around.
  * splint-data conflicts and replaces splint <= v3.1.1-6.  Thanks Kevin Locke
    for the bug report (Closes: #457268)

 -- Y Giridhar Appaji Nag <giridhar@appaji.net>  Fri, 21 Dec 2007 12:58:56 +0530

splint (3.1.2.dfsg-3) unstable; urgency=low

  * Update patch 02_manpage to fix lintian I: hyphen-used-as-minus-sign

 -- Y Giridhar Appaji Nag <giridhar@appaji.net>  Mon, 17 Dec 2007 14:38:24 +0530

splint (3.1.2.dfsg-2) unstable; urgency=low

  * Remove useless debian/*.dirs files
  * Correct versionsed dependencies, use '= ${source:Version}'
  * splint-doc-html suggests as opposed to recommending splint
  * DFSG source directory in tar file is now .dfsg and not .orig

 -- Y Giridhar Appaji Nag <giridhar@appaji.net>  Mon, 17 Dec 2007 12:39:35 +0530

splint (3.1.2.dfsg-1) unstable; urgency=low

  * Adopted by Y Giridhar Appaji Nag <giridhar@appaji.net> (Closes: #424719)
  * New upstream release (Closes: #298261)
    + Fixes K&R / standard C mismatch (Closes: #171437)
  * debian/:
    + Switch from DH_COMPAT=3 to debian/compat (5)
    + Add a debian/watch file
    + Add lintian/linda overrides for manpage splint(1)
  * debian/control
    + Split into splint-data (large arch indep size), splint-doc-html and
      splint binary packages
    + Add Homepage: and Vcs-*: fields
    + Bump up Standards-Version to 3.7.3, updated debian/copyright
  * debian/copyright
    + Includes all the correct copyright holders (Closes: #436744)
  * Use dpatch.
    + Patch 01_build: 'make clean' fixes to remove the generated bin/* and
      *.lcs files
    + Patch 02_manpage: Remove references to lint, invalid header/footer.
      Correct typos.  Thanks Reynaldo H. Verdejo Pinochet and Justin Pryzby
      (Closes: #352298, #343564)
  * Rebuild for ldbl128 transition (Closes: #430328)
  * Add .dfsg to version (Removed manual.pdf that has MS word sources).  Add
    {faq,bugs,changes}.html via get-orig-source

 -- Y Giridhar Appaji Nag <giridhar@appaji.net>  Sun, 16 Dec 2007 20:14:46 +0530

splint (3.1.1-6) unstable; urgency=low

  * Added Suggests: splint-doc (Closes: #363705)

 -- Samuele Giovanni Tonon <samu@debian.org>  Fri, 21 Apr 2006 11:01:09 +0200

splint (3.1.1-5) unstable; urgency=low

  * added patch to include support to __VA_ARGS__ (Closes: #359894)

 -- Samuele Giovanni Tonon <samu@debian.org>  Fri, 31 Mar 2006 09:59:10 +0200

splint (3.1.1-4.1) unstable; urgency=high

  * Non-maintainer upload.
  * Update automake build-dep to automake1.9 (Closes: #335144).

 -- Luk Claes <luk@debian.org>  Sun,  1 Jan 2006 18:31:17 +0100

splint (3.1.1-4) unstable; urgency=low

  * Added suggest splint in splint-doc control field (Closes: #194228)
  * Closing bug because it's not splint fault of missing options in libc6-dev
    files (Closes: #192474) 
  * Splint output -help to stderr because normal output is on stdout, so
    it's done to separate control message from real output (Closes: #200143)

 -- Samuele Giovanni Tonon <samu@debian.org>  Fri, 23 Apr 2004 21:38:42 +0200

splint (3.1.1-3) unstable; urgency=low

  * Added R to LCLIMPORTDI variable in env.sh (Closes: #211411)

 -- Samuele Giovanni Tonon <samu@debian.org>  Wed, 17 Sep 2003 19:15:51 +0200

splint (3.1.1-2) unstable; urgency=low

  * The "Close the bugs" Release
  * Splint does not fail anymore on dos newline files (Closes: #177920)
  * Fixed wrong manpage path (Closes: #192264)
  * Fixed missing "/"  in source tree (Closes: #188500)
  * added patch to solve signed char warning from gcc (thanks to Morgon Kanter)
    however problems can be more in deep (Closes: bug#173477) .

 -- Samuele Giovanni Tonon <samu@debian.org>  Wed,  7 May 2003 11:52:00 +0200

splint (3.1.1-1) unstable; urgency=low

  * New upstream release

 -- Samuele Giovanni Tonon <samu@debian.org>  Tue,  6 May 2003 16:07:57 +0200

splint (3.0.1.6-5) unstable; urgency=low

  * added patch to solve signed char bug (thanks to Morgon Kanter) 

 -- Samuele Giovanni Tonon <samu@debian.org>  Tue,  6 May 2003 15:48:47 +0200

splint (3.0.1.6-4) unstable; urgency=low

  * removed spurious file in clean section (Closes: bug#173477)

 -- Samuele Giovanni Tonon <samu@debian.org>  Fri,  3 Jan 2003 02:56:35 +0100

splint (3.0.1.6-3) unstable; urgency=low

  * added test "$SUDO_USER" && chown -R "$SUDO_USER" "$dirpart/$DEPDIR"
    and test "$SUDO_USER" && chown -R "$SUDO_USER" "$dirpart/$DEPDIR"
    to make compile on mips, mipsel, 68k

 -- Samuele Giovanni Tonon <samu@debian.org>  Tue, 11 Jun 2002 21:23:48 +0200

splint (3.0.1.6-2) unstable; urgency=low

  * added flex to build depends (Closes: bug#147885) 

 -- Samuele Giovanni Tonon <samu@debian.org>  Thu, 23 May 2002 18:49:32 +0200

splint (3.0.1.6-1) unstable; urgency=low

  * Initial Release.
  * added changes to Makefile to install docs and man page of splint
  * added and example to run to set your environment
  * modified debian/rules with a hack to make distclean work

 -- Samuele Giovanni Tonon <samu@debian.org>  Wed, 15 May 2002 13:53:08 +0200

